## tlv8-python 0.10.0

=== requirements.txt ===
coverage
flake8
twine
coveralls

=== debian/changelog ===
tlv8-python (0.10.0-2) unstable; urgency=medium

  * Team upload.
  * Run tests at build time.
  * Use dh-sequence-python3.
  * Use pybuild-plugin-pyproject.
  * Allow output on stderr from autopkgtest.

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Mar 2025 22:12:41 +0000

tlv8-python (0.10.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1089247)

 -- Hans-Christoph Steiner <hans@eds.org>  Sat, 07 Dec 2024 16:11:53 +0100

=== debian/control ===
Source: tlv8-python
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Hans-Christoph Steiner <hans@eds.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.7.0.1
Homepage: https://github.com/jlusiardi/tlv8_python
Vcs-Browser: https://salsa.debian.org/python-team/packages/tlv8-python
Vcs-Git: https://salsa.debian.org/python-team/packages/tlv8-python.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-tlv8
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Type-Length-Value8 (TLV8) for Python
 Type-Length-Value (TLV) are used to encode arbitrary data. In this
 case the type and length are represented by 1 byte each. Hence the
 name TLV8.
 .
 A TLV8 entry consists of the following parts:
 .
  * the type: this 8 bit field denotes the type of information that is
    represented by the data.
  * the length: this 8 bit field denotes the length of the data (this
    does not include the 2 bytes for type and length. For data longer
    than 255 bytes, there is a defined procedure available.
  * the value: these length bytes represent the value of this TLV. The
    different types of data is represented differently:
    * bytes: this is raw binary data and will be used as is, no
      further interpretation takes place
    * tlv8: this is a specialized case of bytes values. Using this
      instead of pure bytes enables nesting of data and creating a
      hierarchy.
    * integer: integers are stored in little-endian byte order and are
      encoded with the minimal number of bytes possible (1, 2, 4 or 8)
    * float: floats are stored as little-endian ieee754 numbers
    * string: strings are always UTF-8 encoded and do not contain the
      terminating NULL byte
 .
 TLV8 entries whose content is longer than 255 bytes are split up into
 fragments. The type is repeated in each fragment, only the last
 fragment may contain less than 255 bytes. Fragments of one TLV8 entry
 must be continuous.
 .
 Multiple TLV8 entries can be combined to create larger
 structures. Entries of different types can placed one after
 another. Entries of the same type must be separated by a TLV8 entry
 of a different type (and probably zero length).
 .
 TLV8 entries of unknown or unwanted type are to be silently ignored.

=== debian/tests/control ===
Tests: unittests
Depends:
 @builddeps@,
Restrictions:
 allow-stderr,

=== debian/watch ===
# watch control file for uscan
version=3
https://github.com/jlusiardi/tlv8_python/tags .*/archive/v(\d\S*)\.tar\.gz
